Subject: [nfsv4] Recent individual drafts (ACL and ACE mappings)

From: Spencer Shepler <[email-masked]>
Date: Tue, 3 Jun 2003 09:47:02 -0500

Two personal draft were announced today (summaries are includede
below).  These arrived too late to be fully considered for tomorrow's
interim meeting but there are agenda items already present related to
these.  Therefore, the I-Ds will not be fully considered but the
topics on the agenda still hold.

-- 
Spencer

---------------------------------------------------------------------------
A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title		: Mapping Between NFSv4 and Posix Draft ACLs
	Author(s)	: M. Eriksen
	Filename	: draft-eriksen-nfsv4-acl-02.txt
	Pages		: 10
	Date		: 2003-6-2
	
The NFS (Network File System) version 4[rfc3530] (NFSv4) specifies a
flavor of Access Control Lists (ACLs) that apply to file system
objects.  ACLs specify an access level for a number of entities. The
NFSv4 ACLs model resembles that of Windows NT.  A POSIX
draft[posixacl] proposes another, more restrictive ACL model.  Many
systems implement this proposed standard.  Differing in syntax,
semantics and extensiveness, it is only feasible to create a correct
representation for POSIX ACLs with NFSv4 ACLs.  This does not hold
for an attempt to represent arbitrary NFSv4 ACLs with POSIX ACLs.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-eriksen-nfsv4-acl-02.txt

---------------------------------------------------------------------------
A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title		: A Method and Protocol for Mapping of Multi-Realm NFSv4
                          ACE Names to Internal Security Entity Identifiers
	Author(s)	: N. Williams
	Filename	: draft-williams-nfsv4-ace-mapping-00.txt
	Pages		: 18
	Date		: 2003-6-2
	
NFSv4 Access Control List (ACL) Element (ACE) 'who' names identify
users and groups and support a non-flat namespace where each user and
group belongs to a given domain.  Servers usually do not store NFSv4
ACL ACE names but internal forms, often as fixed sized binary values
(e.g., as integers).
For some operating system standards, such as POSIX, those internal
ACE forms have a flat namespace (e.g., from 0 to 2^32 -1).  In order
to properly support non-flat NFSv4 ACE names some method is needed to
map ACE names from multiple domains to internal forms.  Other

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-williams-nfsv4-ace-mapping-00.txt
---------------------------------------------------------------------------
_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4

---

From: Nicolas Williams <[email-masked]>
Date: Tue, 3 Jun 2003 11:03:57 -0700

> topics on the agenda still hold.

BTW, I submitted my draft last week (on Wednesday), but for some reason
the I-D submission took four business days to be processed.  Sigh.

Nico